{
    "variants": {
        "shape=north_south": { "model": "minecraft:block/rail/normal_rail_flat" },
        "shape=east_west": { "model": "minecraft:block/rail/normal_rail_flat", "y": 90 },
        "shape=ascending_east": { "model": "minecraft:block/rail/normal_rail_raised", "y": 90 },
        "shape=ascending_west": { "model": "minecraft:block/rail/normal_rail_raised", "y": 270 },
	"shape=ascending_north": { "model": "minecraft:block/rail/normal_rail_raised" },
        "shape=ascending_south": { "model": "minecraft:block/rail/normal_rail_raised", "y": 180 },
        "shape=south_east": { "model": "minecraft:block/rail/normal_rail_curved", "y": 0 },
        "shape=south_west": { "model": "minecraft:block/rail/normal_rail_curved", "y": 90 },
        "shape=north_west": { "model": "minecraft:block/rail/normal_rail_curved", "y": 180 },
        "shape=north_east": { "model": "minecraft:block/rail/normal_rail_curved", "y": 270 }
    }
}
